aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-vatnumber/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-15 20:46:27 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-17 15:01:34 +0000
commit7ffc82a585db7eb1b22ce75ed8449618ba28f135 (patch)
treeda16cc912256043b34c79fcc5e18a2f5ad4331c5 /testing/py-vatnumber/APKBUILD
parent846a39a9ecd3d6c48640cb3fa4ea7b361f56327b (diff)
downloadaports-7ffc82a585db7eb1b22ce75ed8449618ba28f135.tar.gz
aports-7ffc82a585db7eb1b22ce75ed8449618ba28f135.tar.bz2
aports-7ffc82a585db7eb1b22ce75ed8449618ba28f135.tar.xz
testing/py-vatnumber: new aport
A Python module to validate VAT numbers http://code.google.com/p/vatnumber/
Diffstat (limited to 'testing/py-vatnumber/APKBUILD')
-rw-r--r--testing/py-vatnumber/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-vatnumber/APKBUILD b/testing/py-vatnumber/APKBUILD
new file mode 100644
index 0000000000..7793736bed
--- /dev/null
+++ b/testing/py-vatnumber/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-vatnumber
+_pkgname=vatnumber
+pkgver=1.1
+pkgrel=0
+pkgdesc="A Python module to validate VAT numbers"
+url="http://code.google.com/p/vatnumber/"
+arch="noarch"
+license="GPL3+"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="7b57a0e7e3debbbfdf8c4d8472e8e947 vatnumber-1.1.tar.gz"
+sha256sums="ff7017420e137609a74ce0dbe6ba16c86ea5317d50ca398f8f423141c07fae18 vatnumber-1.1.tar.gz"
+sha512sums="286be890f37dc3ea97beea22f6e34402a9e40738b33a94f98e16a09801656f64fde9f290ed857c5df1fd44896a9e0fbcbfcc8f1dbe2f1314015e473dadc0ebbe vatnumber-1.1.tar.gz"